<script setup lang="ts">
import { useStockStore } from '@/Stock/stores/stock'
import { ref } from 'vue'

const stockStore = useStockStore()
</script>

<template>
  <v-dialog v-model:model-value="stockStore.dialog">
    <v-card title="Add New">
      <!-- <v-form>
                {{ stockStore.stockItem }}
                <v-text-field v-for="(value, key) in stockStore.stockItem" :key="key" :label="key"
                    v-model="stockStore.stockItem[key]">
                </v-text-field>
            </v-form> -->

      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="4">
              <v-text-field v-model="stockStore.stockItem.code" label="Code"> </v-text-field>
            </v-col>
            <v-col cols="4">
              <v-text-field v-model="stockStore.stockItem.name" label="Name"> </v-text-field>
            </v-col>
            <v-col cols="4">
              <v-text-field v-model="stockStore.stockItem.price" label="Price"> </v-text-field>
            </v-col>
            <v-col cols="6">
              <v-text-field v-model="stockStore.stockItem.balance" label="Balance"> </v-text-field>
            </v-col>
            <v-col cols="6">
              <v-text-field v-model="stockStore.stockItem.unit" label="Amount"> </v-text-field>
            </v-col>
            <v-col cols="6">
              <!-- <label for="status">Status</label> -->
              <!-- <v-combobox
                v-model="stockStore.stockItem.status"
                :items="[
                  { title: 'L', value: 'L' },
                  { title: 'M', value: 'M' }
                ]"
                label="status"
                :return-object="false"
              ></v-combobox> -->
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>

      <template #actions>
        <v-row justify="end">
          <v-btn @click="stockStore.closeDialog()"> Cancel </v-btn>
          <v-btn @click="stockStore.save()"> Save </v-btn>
        </v-row>
      </template>
    </v-card>
  </v-dialog>
</template>

<style scoped></style>
